<?php

namespace App\ViewModels\LojaCompra\LojaCompraCartaoCreditoPagSeguro\LojaCompraRegistrationViewModel;

use App\Utils\Entity;

class LojaCompraCardRegistrationViewModel extends Entity {
	protected $encrypted;
	protected $exp_month;
	protected $exp_year;
	protected $security_code;
	protected $holder;
	protected $store;

	public static function builder(): LojaCompraCardRegistrationViewModelBuilder {

		return new LojaCompraCardRegistrationViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getEncrypted() {

		return $this->encrypted;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getExpMonth() {

		return $this->exp_month;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getExpYear() {

		return $this->exp_year;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getSecurityCode() {

		return $this->security_code;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHolder() {

		return $this->holder;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getStore() {

		return $this->store;

	}

	/**
	 *
	 * @param mixed $encrypted
	 */
	public function setEncrypted($encrypted) {

		$this->encrypted = $encrypted;

	}

	/**
	 *
	 * @param mixed $exp_month
	 */
	public function setExpMonth($exp_month) {

		$this->exp_month = $exp_month;

	}

	/**
	 *
	 * @param mixed $exp_year
	 */
	public function setExpYear($exp_year) {

		$this->exp_year = $exp_year;

	}

	/**
	 *
	 * @param mixed $security_code
	 */
	public function setSecurityCode($security_code) {

		$this->security_code = $security_code;

	}

	/**
	 *
	 * @param mixed $holder
	 */
	public function setHolder($holder) {

		$this->holder = $holder;

	}

	/**
	 *
	 * @param mixed $store
	 */
	public function setStore($store) {

		$this->store = $store;

	}

}

